#!/usr/bin/perl -w
#version 0.01
#Author Luis Wong <lwong@mpsnet.net.mx>
#ONLY change log_file if is needed and parser_output_dir
use File::Copy;

$log_file = '/var/log/shpot/captures';
$parser_output_dir = '/var/www/shpot';

unless (-e $parser_output_dir && -d $parser_output_dir) {
    mkdir ("$parser_output_dir");
}

open( LOG_FILE, "<", "$log_file" )
    or die "No log file exists $!\n";

($null,$minute,$hour,$day,$month,$year,$null,$null,$null)=localtime(time);

if ($hour < 12) {
    $ampm = "am";
} else {
    $ampm = "pm";
}
if ($hour == 12) {
    $hour=$hour;
} elsif ($hour == 0) {
    $hour = $hour + 12;
} elsif ($hour > 12) {
    $hour = $hour - 12;
}
if ($minute < 10) {
    $minute = "0$minute";
}
$year = $year + 1900;

$month = $month + 1;
@months = qw(January February March April May June July August September October November December);
$written_month = $months[$month - 1];

$html=("$parser_output_dir/$written_month-$day-$year.html");
open( HTML, ">", "$html" );
select HTML;

print "<html><head><title>Shoneypot Log Report $written_month $day\, $year $hour\:$minute$ampm </title>\n";
        
print "</head>
        <body bgcolor=\"b5d8ab\">
        <h2>Shoneypot Reporter<h2/><h3>Log Date\: $written_month $day\, $year $hour\:$minute$ampm </h3>\n";

print "<br><table border=\"1\" bgcolor=\"ffffff\">\n";
print "<tr bgcolor=000ea88><td>&nbsp;</td><td colspan=2>Time</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> </tr><tr bgcolor=00ea88 >";

print "<td><font color=#ffffff size=+1><b>Date</b></font></td>\n"  ;
print "<td><font color=#ffffff size=+1><b>Start</b></font></td>\n";
print "<td><font color=#ffffff size=+1><b>End</b></font></td>\n";
print "<td><font color=#ffffff size=+1><b>Action</b></font></td>\n";
print "<td><font color=#ffffff size=+1><b>IP : source PORT</b></font></td>\n";
print "<td><font color=#ffffff size=+1><b>More of this IP<b></font></td>\n";
print "<td><font color=#ffffff size=+1><b>Elapsed time<b></font></td>\n";
print "<td><font color=#ffffff size=+1><b>Total transferer<b></font></td><tr>\n";

$tr_alternate = 0;

# Begin parsing of log data

while ($line = <LOG_FILE>){
    $line =~ /(\w+\s+\w+)\s+(\w+\:\w+\:\w+)\s+(\w+\s+\w+\s+\w+)\s+(\w+\.\w+.\w+.\w+)(\W+)(\w+\.\w+)(\W+)\s+(\w+\s+\w+\s+\w+\s+\w+)\s+(\w+\.\w+\.\w+\.\w+\:\w+)\s+(\w+\s+\w+)\s+(\w+\:\w+\:\w+)\s+(\w+\s+\W+\w+\s+\w+)\s+(\w+\:\w+\:\w+)\s+(\W+\w+)\s+(\w+\s+\w+)/;
    
    if(($3 ne '') or ($4 ne '') or ($9 ne '')){     
	$tr_alternate = $tr_alternate + 1;
	if ($tr_alternate == 1) {
	    print "<tr bgcolor=b7b7b7>";
	    $tr_alternate = $tr_alternate - 2;
	}
	print "<td>$1</td>\n";
	print "<td>$2</td>\n";
	print "<td>$11</td>\n";
	print "<td>$4 $5 $6 </td>\n";
	print "<td>$9</td>\n";
	print "<td><a href=$4>$4</a></td>\n";
	print "<td>$13</td>\n";
	print "<td>$15</td></tr>\n";
    }   
}
print "</table>\n";
print "<br><br><hr><br></b><h5>This log is brought to you by shoneypot http://sourceforge.net/projects/single-honeypot</h5></body></html>\n";



















