#!/bin/sh
#Authors
#Luis Wong <-> lwong@mpsnet.net.mx
#Shawn Wallis <-> swallis@ittc.ukans.edu


echo "Installing single-honeypot ...";
sleep 1;
`mkdir /usr/local/shpot/`;
`cp logthis thpfunc.pl thp.conf fakerpc /usr/local/shpot`;
`cp resp/ /usr/local/shpot/ -R`;
`mkdir /var/log/shpot`;
`chown nobody /var/log/shpot`;
echo "Ready ...";
sleep 1;
echo "IF YOU USE inetd";
echo "You only add shpot in inetd,conf";
echo "";
echo "Example inetd: ";
echo "shpot    stream  tcp     nowait  nobody    /usr/local/shpot/logthis    logthis";
echo "shpot-ftp     stream  tcp     nowait  nobody    /usr/local/shpot/logthis logthis ftp";
echo "shpot-smtp    stream  tcp     nowait  nobody    /usr/local/shpot/logthis logthis smtp";
echo "shpot-http    stream  tcp     nowait  nobody    /usr/local/shpot/logthis logthis http";
echo "shpot-pop3    stream  tcp     nowait  nobody    /usr/local/shpot/logthis logthis pop3";
echo "shpot-shell    stream  tcp     nowait  nobody    /usr/local/shpot/logthis logthis shell";
echo "";
echo "and /etc/services";
echo "shpot     6635/tcp";
echo "shpot-ftp  21/tcp";
echo "shpot-smtp 25/tcp";
echo "shpot-http 80/tcp";
echo "shpot-pop3 110/tcp";
echo "shpot-shell  514/tcp";
echo "";

sleep 1;
echo "IF YOU USE xinetd";
echo "Example xinetd: ";
echo "more /etc/xinetd.d/shpot-smtp";
echo "";
echo "service shpot-smtp
{
	disable	= no
        socket_type = stream
        protocol    = tcp
        wait        = no
        user        = nobody
        server      = /usr/local/shpot/logthis
        server_args = smtp
	port 	    = 25
}";

echo "Avaible Targets : smtp, pop3, ftp, http and shell\n"; 
echo "For statics view file shpot-analizer.pl\n";
echo "Now you can re-configure /usr/local/shpot/thp.conf\n";
echo "http://sourceforge.net/projects/single-honeypot\n";
sleep 1;

